<template>
	<main class="mt-36">
		<h2 class="contents-title">Buttons</h2>
		<p v-for="(colors, index) in palletes" :key="index">
			<button :class="'btn--' + colors.color">Button Color</button>
			<button :class="'btn--ghost-' + colors.color">Button Color</button>
			<button :class="'btn--flat-' + colors.color">Button Color</button>
		</p>
		<Code :codeText="buttons" />
		<hr />
		<h2 class="contents-title">Button Sizing</h2>
		<p>
			<button class="btn--primary btn--small">Small Button</button>
			<button class="btn--ghost-primary btn--small">Small Button</button>
			<button class="btn--flat-primary btn--small">Small Button</button>
		</p>
		<p>
			<button class="btn--primary">Normal Button</button>
			<button class="btn--ghost-primary">Normal Button</button>
			<button class="btn--flat-primary">Normal Button</button>
		</p>
		<p>
			<button class="btn--primary btn--large">Large Button</button>
			<button class="btn--ghost-primary btn--large">Large Button</button>
			<button class="btn--flat-primary btn--large">Large Button</button>
		</p>
		<Code :codeText="buttonSizing" />
		<hr />
		<h2 class="contents-title">Icon-only Buttons</h2>
		<p>
			<button class="btn--primary btn--small btn--icon">
				<i class="bzi-search"></i>
			</button>
			<button class="btn--ghost-black btn--small btn--icon">
				<i class="bzi-close"></i>
			</button>
			<button class="btn--flat-light-grey btn--small btn--icon">
				<i class="bzi-user"></i>
			</button>
		</p>
		<p>
			<button class="btn--primary btn--icon">
				<i class="bzi-user"></i>
			</button>
			<button class="btn--ghost-black btn--icon">
				<i class="bzi-search"></i>
			</button>
			<button class="btn--flat-light-grey btn--icon">
				<i class="bzi-close"></i>
			</button>
		</p>
		<p>
			<button class="btn--primary btn--large btn--icon">
				<i class="bzi-close"></i>
			</button>
			<button class="btn--ghost-black btn--large btn--icon">
				<i class="bzi-user"></i>
			</button>
			<button class="btn--flat-light-grey btn--large btn--icon">
				<i class="bzi-search"></i>
			</button>
		</p>
		<Code :codeText="iconOnlyButtons" />
		<h2 class="contents-title">Icon + Text Buttons</h2>
		<p>
			<button class="btn--primary btn--small">
				Search <i class="bzi-search"></i>
			</button>
			<button class="btn--ghost-black btn--small">
				<i class="bzi-close"></i> Cancel
			</button>
			<button class="btn--flat-light-grey btn--small">
				Profile <i class="bzi-user"></i>
			</button>
		</p>
		<p>
			<button class="btn--primary"><i class="bzi-user"></i> Profile</button>
			<button class="btn--ghost-black">
				Search <i class="bzi-search"></i>
			</button>
			<button class="btn--flat-light-grey">
				<i class="bzi-close"></i> Cancel
			</button>
		</p>
		<p>
			<button class="btn--primary btn--large">
				Cancel <i class="bzi-close"></i>
			</button>
			<button class="btn--ghost-black btn--large">
				<i class="bzi-user"></i> Profile
			</button>
			<button class="btn--flat-light-grey btn--large">
				<i class="bzi-search"></i> Search
			</button>
		</p>
		<Code :codeText="IconTextButtons" />

		<ContentFooter />
	</main>
</template>

<script>
const dataPalletes = [
	{
		color: 'primary'
	},
	{
		color: 'secondary'
	},
	{
		color: 'warning'
	},
	{
		color: 'danger'
	},
	{
		color: 'black'
	},
	{
		color: 'light-grey'
	},
	{
		color: 'white'
	}
]

export default {
	data() {
		return {
			palletes: dataPalletes,
			buttons: `<p>
    <button class="btn--primary">Button Color</button>
    <button class="btn--ghost-primary">Button Color</button>
    <button class="btn--flat-primary">Button Color</button>
</p>
<p>
    <button class="btn--secondary">Button Color</button>
    <button class="btn--ghost-secondary">Button Color</button>
    <button class="btn--flat-secondary">Button Color</button>
</p>
<p>
    <button class="btn--warning">Button Color</button>
    <button class="btn--ghost-warning">Button Color</button>
    <button class="btn--flat-warning">Button Color</button>
</p>
<p>
    <button class="btn--danger">Button Color</button>
    <button class="btn--ghost-danger">Button Color</button>
    <button class="btn--flat-danger">Button Color</button>
</p>
<p>
    <button class="btn--black">Button Color</button>
    <button class="btn--ghost-black">Button Color</button>
    <button class="btn--flat-black">Button Color</button>
</p>
<p>
    <button class="btn--light-grey">Button Color</button>
    <button class="btn--ghost-light-grey">Button Color</button>
    <button class="btn--flat-light-grey">Button Color</button>
</p>
<p>
    <button class="btn--white">Button Color</button>
    <button class="btn--ghost-white">Button Color</button>
    <button class="btn--flat-white">Button Color</button>
</p>`,
			buttonSizing: `<p>
    <button class="btn--primary btn--small">Small Button</button>
    <button class="btn--ghost-primary btn--small">Small Button</button>
    <button class="btn--flat-primary btn--small">Small Button</button>
</p>
<p>
    <button class="btn--primary">Normal Button</button>
    <button class="btn--ghost-primary">Normal Button</button>
    <button class="btn--flat-primary">Normal Button</button>
</p>
<p>
    <button class="btn--primary btn--large">Large Button</button>
    <button class="btn--ghost-primary btn--large">Large Button</button>
    <button class="btn--flat-primary btn--large">Large Button</button>
</p>`,
			iconOnlyButtons: `<p>
    <button class="btn--primary btn--small btn--icon">
        <i class="fas fa-search fa-sm"></i>
    </button>
    <button class="btn--ghost-black btn--small btn--icon">
        <i class="fas fa-times fa-sm"></i>
    </button>
    <button class="btn--flat-light-grey btn--small btn--icon">
        <i class="fas fa-user fa-sm"></i>
    </button>
</p>
<p>
    <button class="btn--primary btn--icon">
        <i class="fas fa-user"></i>
    </button>
    <button class="btn--ghost-black btn--icon">
        <i class="fas fa-search"></i>
    </button>
    <button class="btn--flat-light-grey btn--icon">
        <i class="fas fa-times"></i>
    </button>
</p>
<p>
    <button class="btn--primary btn--large btn--icon">
        <i class="fas fa-times fa-lg"></i>
    </button>
    <button class="btn--ghost-black btn--large btn--icon">
        <i class="fas fa-user fa-lg"></i>
    </button>
    <button class="btn--flat-light-grey btn--large btn--icon">
        <i class="fas fa-search fa-lg"></i>
    </button>
</p>
`,
			IconTextButtons: `<p>
    <button class="btn--primary btn--small">
        Search <i class="fas fa-search"></i>
    </button>
    <button class="btn--ghost-black btn--small">
        <i class="fas fa-times"></i> Cancel
    </button>
    <button class="btn--flat-light-grey btn--small">
        Profile <i class="fas fa-user"></i>
    </button>
</p>
<p>
    <button class="btn--primary">
        <i class="fas fa-user"></i> Profile
    </button>
    <button class="btn--ghost-black">
        Search <i class="fas fa-search"></i>
    </button>
    <button class="btn--flat-light-grey">
        <i class="fas fa-times"></i> Cancel
    </button>
</p>
<p>
    <button class="btn--primary btn--large">
        Cancel <i class="fas fa-times"></i>
    </button>
    <button class="btn--ghost-black btn--large">
        <i class="fas fa-user"></i> Profile
    </button>
    <button class="btn--flat-light-grey btn--large">
        <i class="fas fa-search"></i> Search
    </button>
</p>`
		}
	}
}
</script>

<style lang="scss" scoped>
main {
	color: $text;
	width: 100%;
}
</style>
